<?php

// Verificar se a sessão já foi iniciada
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

// Verificar se a variável de sessão está definida e não está vazia
if (!isset($_SESSION['CodUsuario']) || trim($_SESSION['CodUsuario']) == '') {

    header("Location:\KPI\pages/logoff.php?id=2");

    exit(); // Sempre use exit() após o redirecionamento
}

// ... resto do seu código
?>
